#pragma once

#include "..\munga\style.h"

class Mouse SIGNATURED
{
public:
	Mouse();
	~Mouse()	{}
	void	ReadCounters(int *xp, int *yp);
	int		ButtonPressed(int buttonNum);
	int		ButtonReleased(int buttonNum);
	Logical	TestInstance() const;

	int	ButtonCount;			// number of buttons on mouse
	int	Errors;					// non-zero if bad things happened
};